# GimpUi.Dialog

    const GimpUi = imports.gi.GimpUi;

    let dialog = new GimpUi.Dialog({
        help_func: value,
        help_id: value,
        parent: value,
    });

Constructors for Gtk.Dialog's and action_areas as well as other dialog-related stuff.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Bin
          - Gtk.Window
            - Gtk.Dialog
              - GimpUi.Dialog

## Methods

- GimpUi.Dialog.prototype.add_button
- GimpUi.Dialog.prototype.get_native_handle
- GimpUi.Dialog.prototype.run
- GimpUi.Dialog.prototype.set_alternative_button_order_from_array

## Properties

- help-func
- help-id
- parent